net.corda.core.serialization

## Class Ed25519PrivateKeySerializer

- net.corda.core.serialization.Ed25519PrivateKeySerializer

-     public class Ed25519PrivateKeySerializer

  For serialising an ed25519 private key

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Ed25519PrivateKeySerializer` | `INSTANCE` For serialising an ed25519 private key

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `net.i2p.crypto.eddsa.EdDSAPrivateKey` | `read(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Input input, java.lang.Class<net.i2p.crypto.eddsa.EdDSAPrivateKey> type)`
    `void` | `write(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Output output, net.i2p.crypto.eddsa.EdDSAPrivateKey obj)`

- - ### Field Detail

    - #### INSTANCE

          public static Ed25519PrivateKeySerializer INSTANCE

      For serialising an ed25519 private key

  - ### Method Detail

    - #### write

          public void write(com.esotericsoftware.kryo.Kryo kryo,
                            com.esotericsoftware.kryo.io.Output output,
                            net.i2p.crypto.eddsa.EdDSAPrivateKey obj)

    - #### read

          public net.i2p.crypto.eddsa.EdDSAPrivateKey read(com.esotericsoftware.kryo.Kryo kryo,
                                                           com.esotericsoftware.kryo.io.Input input,
                                                           java.lang.Class<net.i2p.crypto.eddsa.EdDSAPrivateKey> type)